<?xml version="1.0" encoding="utf-8"?>
<rougail version="0.10">
  <services>
    <service name="systemd-networkd">
      <file file_type="variable" source="network" variable="zones_list">netwokd_configurations</file>
      <file file_type="variable" source="link" variable="zones_list">link_configurations</file>
    </service>
    <service name="systemd-repart" servicelist='systemd_repart' undisable="True">
      <override/>
    </service>
    <service name="systemd-makefs@dev-disk-by\x2dpartlabel-var" engine="cheetah" target="multi-user" servicelist='systemd_repart' undisable='True'>
      <file>/repart.d/50-var.conf</file>
    </service>
    <service name="systemd-makefs@dev-disk-by\x2dpartlabel-var-tmp" engine="cheetah" target="multi-user" servicelist="add_tmp" undisable='True'>
      <file>/repart.d/40-tmp.conf</file>
    </service>
    <service name="systemd-makefs@dev-disk-by\x2dpartlabel-srv" engine="cheetah" target="multi-user" servicelist="add_srv" undisable='True'>
      <file>/repart.d/60-srv.conf</file>
    </service>
    <service name="systemd-makefs@dev-disk-by\x2dpartlabel-swap" engine="cheetah" target="multi-user" servicelist="add_swap" undisable='True'>
      <file>/repart.d/30-swap.conf</file>
    </service>
    <service name="var" engine="cheetah" target="multi-user" type="mount" servicelist='systemd_repart' undisable='True'/>
    <service name="var-tmp" engine="cheetah" target="multi-user" type="mount" servicelist="add_tmp" undisable='True'/>
    <service name="srv" engine="cheetah" target="multi-user" type="mount" servicelist="add_srv" undisable='True'/>
    <service name="dev-disk-by\x2dpartlabel-swap" engine="none" target="multi-user" type="swap" servicelist="add_swap" undisable='True'/>
    <service name="systemd-firstboot">
      <override/>
      <file>/secrets/root.pwd</file>
      <file engine="none">/tmpfiles.d/risotto-volatile.conf</file>
    </service>
    <service name="risotto" target="multi-user" type="target" engine="none"/>
  </services>
  <variables>
    <variable name='root_password' type="password" description="Mot de passe de l'administrateur système root" mandatory="True" hidden="True"/>
    <variable name="link_configurations" description='Nom des fichiers "link" networkd' type="filename" multi="True" hidden="True"/>
    <variable name="use_systemd_repart" description='Activer le partitionnement systemd' type="boolean" hidden="True"/>
    <family name="network">
      <variable name="netwokd_configurations" description="Nom des fichiers de configuration du réseau networkd" type="filename" multi="True" hidden="True"/>
      <variable name="netwokd_interface_name_type" description="Type de réseau networkd" type="choice" hidden="True">
        <choice>zone_name</choice>
        <choice>host</choice>
        <value>zone_name</value>
      </variable>
    </family>
  </variables>
  <constraints>
    <fill name="get_password">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">root</param>
      <param name="description">local connection</param>
      <param name="type">cleartext</param>
      <param name="temporary" type="boolean">True</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>root_password</target>
    </fill>
    <fill name="calc_value">
      <param>/etc/systemd/network/10</param>
      <param type="variable">zones_list</param>
      <param>risotto.network</param>
      <param name="join">-</param>
      <param name="multi" type="boolean">True</param>
      <target>netwokd_configurations</target>
    </fill>
    <fill name="calc_value">
      <param>/systemd/network/10</param>
      <param type="variable">zones_list</param>
      <param>risotto.link</param>
      <param name="join">-</param>
      <param name="multi" type="boolean">True</param>
      <target>link_configurations</target>
    </fill>
    <condition name="disabled_if_in" source="use_systemd_repart">
      <param>False</param>
      <target type="servicelist">systemd_repart</target>
      <target type="servicelist">add_tmp</target>
      <target type="servicelist">add_srv</target>
      <target type="servicelist">add_swap</target>
    </condition>
  </constraints>
</rougail>
